#!/bin/sh
#
# script de diagnostic à mettre dans le dossier du servlet
# et à lancer en root (à cause de netstat).

echo="/bin/echo"

$echo -e "\n*********** MySQL ************"
mysqld=$(ps -C mysqld|sed '1d')
if [ -z "${mysqld}" ]; then \
   $echo "Aucun process mysqld ??"
else
   $echo `mysqld --version`
fi

$echo -e "\n************* Java ***********"
ant=`which ant`
if [ -z $ant ]; then
   $echo "ant n'est pas installé."
else
   $echo "ant : "$ant
fi

java=`which java`
if [ -z $java ]; then
   $echo "java n'est pas trouvé."
else
   $echo "java : "`$java -version`
fi

$echo -e "\n********** Tomcat *************"
tomcat=`ps -C jsvc|sed '1d'`
if [ -z "${tomcat}" ]; then \
   $echo "Aucun process tomcat ??"
else
   listen=`netstat -tupan|awk '/LISTEN.*jsvc/'`
   if [ -z "${listen}" ]; then
      $echo "Tomcat n'écoute aucun port."
   else
      $echo -e "Tomcat :\n"
      $echo "${listen}"
   fi
fi

$echo -e "\n************ osames ************"
jars=`ls WEB-INF/lib|grep -E 'osames(-util)?\.jar$'`
if [ $(echo "${jars}"|wc -l) -ne 2 ]; then
   $echo "Tous les jars osames ne sont pas présents : il faut compiler les sources correctement"
else
   $echo "jars osames : "$jars
fi
jars=`ls WEB-INF/lib/osames*`
if [ -z "${jars}" ]; then
   $echo "Pas de jars osames : il faut compiler les sources"
else
   $echo "jars ok."
fi
params=`ls ..|grep osames-parametres 2>/dev/null`
if [ -z "${params}" ]; then
   $echo "Le dossier osames-parametres n'est pas créé."
else
   config=`ls ../osames-parametres/configuration 2>/dev/null`
   if [ -z "${config}" ]; then
      $echo "Pas de fichier de conf dans ./osames-parametres/configuration"
   else
      ici=$(pwd -P)
      servlet=$(cat ../osames-parametres/configuration/osames.cfg|awk -F ":" '/osames.absdir/ {print $2}')
      if [ "$servlet" = "$ici" ]; then
         $echo "Servlet : "$servlet
      else
	 errmsg="Erreur de configuration pour osames.absdir dans osames.cfg"
	 # A t-on une configuration avec un lien ?
	 if [ -d $servlet ]; then
	    cd $servlet
	    servlet=$(pwd -P)
	    if [ "$servlet" = "$ici" ]; then
	       $echo "Servlet : "$servlet
	    else
	       $echo "Erreur de configuration pour osames.absdir dans osames.cfg"
	    fi
	 else
	    $echo "osames.absdir : "$servlet" : dossier inexistant"
	 fi
      fi
   fi
fi
